LayoutQueue (Java SE 12 & JDK 12 )
Keywords: javax.swing.text.LayoutQueue class

Module java.desktop
Package javax.swing.text

## Class LayoutQueue

- java.lang.Object
- - javax.swing.text.LayoutQueue

-     public class LayoutQueue
      extends Object

  A queue of text layout tasks.
  Since:
    1.3
  See Also:
    `AsyncBoxView`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LayoutQueue()` | Construct a layout queue.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addTask​(Runnable task)` | Add a task that is not needed immediately because the results are not believed to be visible.
    `static LayoutQueue` | `getDefaultQueue()` | Fetch the default layout queue.
    `static void` | `setDefaultQueue​(LayoutQueue q)` | Set the default layout queue.
    `protected Runnable` | `waitForWork()` | Used by the worker thread to get a new task to execute.

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutQueue

          public LayoutQueue()

      Construct a layout queue.

  - ### Method Detail

    - #### getDefaultQueue

          public static LayoutQueue getDefaultQueue()

      Fetch the default layout queue.
      Returns:
        the default layout queue

    - #### setDefaultQueue

          public static void setDefaultQueue​(LayoutQueue q)

      Set the default layout queue.
      Parameters:
        `q` - the new queue.

    - #### addTask

          public void addTask​(Runnable task)

      Add a task that is not needed immediately because the results are not believed to be visible.
      Parameters:
        `task` - the task to add to the queue

    - #### waitForWork

          protected Runnable waitForWork()

      Used by the worker thread to get a new task to execute.
      Returns:
        a task from the queue